آسیب پذیری Shellshock در محصولات سیسکو و اوراکل

شرکت های سیسکو و اوراکل در حال بررسی محصولات خود به منظور یافتن آسیب پذیریShellshock می باشند.
به گزارش اِی وی نیوز از مرکز ماهر، این آسیب پذیری هفته گذشته کشف شد و به مهاجمان اجازه می دهد تا فرآیندهای خاص در حال اجرا بر روی ماشین های آلوده را فریب داده و رشته ای مخرب را به Bash وارد نمایند و در نتیجه بتوانند دستورات دلخواه را بر روی سیستم عامل اجرا نمایند.
یک محقق امنیتی با نام  Rob Fullerمجموعه ای از کدهای سوء استفاده از این آسیب پذیری را از منابع مختلف جمع آوری کرده است. بیشترین بردارهای حمله شناخته شده از طریق وب سرورهایی که در حال اجرای اسکریپت های CGI می باشند، صورت گرفته است. اگرچه سایر برنامه هایی که با Bash در تعامل می باشند نیز اهداف بالقوه محسوب می شوند.
شرکت سیسکو این آسیب پذیری را در ۷۱ محصول خود شناسایی کرده است. این محصولات شامل برنامه های کاربردی و خدمات شبکه، امنیت و محتوی شبکه، تهیه و مدیریت شبکه، مسیریابی و سوئیچینگ، پردازش واحد، صدا و ارتباطات، ویدئو، جریان داده وTelePresence می شوند.
این شرکت در حال بررسی ۱۶۸ محصول دیگر و خدمات میزبانی شده است بنابراین احتمال افزایش تعداد فهرست محصولات آسیب پذیر وجود دارد.
در راهنمایی امنیتی شرکت سیسکو آمده است که تاثیر این آسیب پذیری بر روی محصولات سیسکو با توجه به نوع محصول آسیب پذیر ممکن است متفاوت باشد.
شرکت اوراکل در حال بررسی محصولات خود است. در حال حاضر این شرکت اصلاحیه هایی را برای نه محصول خود منتشر کرده است. این محصولات عبارتند از: Oracle Database Appliance نسخه ۱۲٫۱٫۲ و ۲٫x، Oracle Exadata Storage Server Software، Oracle Exalogic، Oracle Exalytics، Oracle Linux نسخه های ۴، ۵، ۶ و ۷، Oracle Solaris Operating System نسخه های ۸، ۹، ۱۰ و ۱۱، Oracle SuperCluster، Oracle Virtual Compute Appliance Software و Oracle VM نسخه های ۲٫۲، ۳٫۲ و ۳٫۳٫
هم چنین ۴۲ محصولی که از Bash استفاده می کنند نسبت به مشکل Shellshock آسیب پذیر می باشند و در حال حاضر اصلاحیه ای برای آن ها در دسترس نیست.
این شرکت در راهنمایی امنیتی خود اشاره کرد که شرکت اوراکل مسئول تاثیر این آسیب پذیری بر روی محصولاتی که دیگر از آن ها پشتیبانی نمی کند، نیست.

About The Author

Related posts

Leave a Reply

نشانی ایمیل شما منتشر نخواهد شد. بخش‌های موردنیاز علامت‌گذاری شده‌اند *

*